get_filename(3)

NAME
get_filename - Returns a pointer to the filename portion of a path. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

char *get_filename(const char *path);

DESCRIPTION
Finds out the filename portion of a completely specified file path. Both `\' and `/' are recognized as directory separators under DOS and Windows. However, only `/' is recognized as directory separator under other platforms. Example:
   get_executable_name(name, sizeof(name));
   allegro_message("Running `%s'\n", get_filename(name));

Note that Allegro won't perform any IO operations during the verification. This means that if you have `/a/path/like/this/', which doesn't have a filename, the function will return a pointer to the trailing null character. However, if you have `/a/path/like/this', Allegro will return a pointer to `this', even if it is a valid directory.

RETURN VALUE
Returns a pointer to the portion of `path' where the filename starts, or the beginning of `path' if no valid filename is found (eg. you are processing a path with backslashes under Unix).

SEE ALSO
get_extension(3), put_backslash(3), replace_filename(3), exmidi(3)